# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_78chx89g0j/clone/recipe, last modified Wed Aug  3 07:30:52 2022
# ------------------------------------------------

package:
  name: ipython
  version: 7.31.1
source:
  sha256: b5548ec5329a4bcf054a5deed5099b0f9622eb9ea51aaa7104d215fece201d8c
  url: https://pypi.io/packages/source/i/ipython/ipython-7.31.1.tar.gz
build:
  entry_points:
    - iptest = IPython.testing.iptestcontroller:main
    - iptest3 = IPython.testing.iptestcontroller:main
    - ipython = IPython:start_ipython
    - ipython3 = IPython:start_ipython
  number: '1'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_78chx89g0j/croots/recipe/ipython_1659529859450/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . -vv --no-deps
  script_env:
    - IPYTHON_TESTING_TIMEOUT_SCALE=5
    - MIGRATING=False
  string: py38hca03da5_1
requirements:
  host:
    - ca-certificates 2022.07.19 hca03da5_0
    - certifi 2022.6.15 py38hca03da5_0
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.4.2 hc377ac9_4
    - ncurses 6.3 h1a28f6b_3
    - openssl 1.1.1q h1a28f6b_0
    - pip 22.1.2 py38hca03da5_0
    - python 3.8.13 hbdb9e5c_0
    - readline 8.1.2 h1a28f6b_1
    - setuptools 61.2.0 py38hca03da5_0
    - sqlite 3.39.0 h1058600_0
    - tk 8.6.12 hb8d0fd4_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h1a28f6b_1
    - zlib 1.2.12 h5a0b063_2
  run:
    - appnope
    - backcall
    - decorator
    - jedi >=0.16
    - matplotlib-inline >=0.1.2
    - pexpect >4.3
    - pickleshare
    - prompt-toolkit >=2.0.0,!=3.0.0,!=3.0.1,<3.1.0
    - pygments
    - python >=3.8,<3.9.0a0
    - setuptools >=18.5
    - traitlets >=4.2
test:
  commands:
    - pip check || true
    - ipython -h
    - ipython3 -h
    - iptest -h  || true
    - iptest3 -h  || true
  imports:
    - IPython
    - IPython.core
    - IPython.core.magics
    - IPython.core.tests
    - IPython.extensions
    - IPython.extensions.tests
    - IPython.external
    - IPython.external.decorators
    - IPython.lib
    - IPython.lib.tests
    - IPython.sphinxext
    - IPython.terminal
    - IPython.terminal.pt_inputhooks
    - IPython.terminal.tests
    - IPython.testing
    - IPython.testing.plugin
    - IPython.testing.tests
    - IPython.utils
    - IPython.utils.tests
  requires:
    - curio
    - ipykernel
    - matplotlib-base
    - nbformat
    - nose >=0.10.1
    - numpy >=1.17
    - pip
    - pygments
    - pytest
    - requests
    - testpath
    - trio
about:
  description: 'IPython provides a rich architecture for interactive computing with

    a powerful interactive shell, a kernel for Jupyter, high performance

    tools for parallel computing, and more.

    '
  dev_url: https://github.com/ipython/ipython
  doc_url: https://ipython.readthedocs.io
  home: https://ipython.org
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: 'IPython: Productive Interactive Computing'
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 78d43e2b-e929-4de8-bb7c-905afeb38ff2
  recipe-maintainers:
    - Carreau
    - blink1073
    - bollwyvl
    - ellisonbg
    - fperez
    - jakirkham
    - minrk
    - ocefpaf
    - pelson
    - takluyver
  remote_url: git@github.com:AnacondaRecipes/ipython-feedstock.git
  sha: 7250c6f5b6db48d3112b63158b3ddf7d308f236a
